Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampUnit::TestFailure Class Reference

テスト失敗 More...

`#include <TestFailure.h>`

List of all members.

## Public Member Functions
| TestFailure (Test *failedTest, const Lamp::String &message, const char *file, int line)
| コンストラクタ
virtual | ~TestFailure ()
| デストラクタ
Test * | failedTest () const
| 失敗したテストの取得
const Lamp::String & | what () const
| 失敗したテストの情報を取得
const char * | file () const
| テストが失敗したファイル名の取得
int | line () const
| テストが失敗したファイル行数の取得
Lamp::String | toString () const
| テスト失敗を文字列に変換

## Detailed Description

テスト失敗

Definition at line 36 of file TestFailure.h.

## Constructor & Destructor Documentation

LampUnit::TestFailure::TestFailure | ( | Test * | failedTest,
|  | const Lamp::String & | message,
|  | const char * | file,
|  | int | line
| ) |

  | コンストラクタ Parameters:
  failedTest | 失敗したテスト
  message | メッセージ
  file | ファイル名
  line | 行数
Definition at line 34 of file TestFailure.cpp.

## Member Function Documentation

Test* LampUnit::TestFailure::failedTest | ( |  | ) | const`[inline]`

| 失敗したテストの取得 Returns: 失敗したテスト Definition at line 55 of file TestFailure.h.

const char* LampUnit::TestFailure::file | ( |  | ) | const`[inline]`

| テストが失敗したファイル名の取得 Returns: テストが失敗したファイル名 Definition at line 67 of file TestFailure.h.

int LampUnit::TestFailure::line | ( |  | ) | const`[inline]`

| テストが失敗したファイル行数の取得 Returns: テストが失敗したファイル行数 Definition at line 73 of file TestFailure.h.

Lamp::String LampUnit::TestFailure::toString | ( |  | ) | const

| テスト失敗を文字列に変換 Returns: テスト失敗の文字列表記 Definition at line 40 of file TestFailure.cpp. References LampUnit::Test::toString(). Referenced by LampUnit::TestStringListener::addFailure().

const Lamp::String& LampUnit::TestFailure::what | ( |  | ) | const`[inline]`

| 失敗したテストの情報を取得 Returns: 失敗したテストの情報 Definition at line 61 of file TestFailure.h.

The documentation for this class was generated from the following files:

- TestFailure.h
- TestFailure.cpp